<?php

namespace AppBundle\Controller;

use AppBundle\Entity\Absence;
use AppBundle\Entity\Actualite;
use AppBundle\Entity\Emplois;
use AppBundle\Entity\Diplome;
use AppBundle\Entity\Formation;
use AppBundle\Entity\TypeformationRepository;
use AppBundle\Entity\FiliereRepository;
use AppBundle\Entity\FormationRepository;
use AppBundle\Entity\SousFiliereRepository;
use AppBundle\Entity\UserRepository;
use AppBundle\Entity\DiplomeRepository;
use AppBundle\Form\AbsenceForm;
use AppBundle\Form\ActualiteForm;
use AppBundle\Form\EmploisForm;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

class AttestationController extends Controller
{

    public function indexAction(Request $request){
        $em = $this->get('doctrine.orm.entity_manager');
        $annees = $em->getRepository('AppBundle:Annee')->findBy(array('isDeleted'=>1));
        $annee=$annees[sizeof($annees)-1];
       // dump($annee);die;
        $form = $this->createFormBuilder()
           /* ->add('formation', ChoiceType::class, array(
                'choices'  => array(
                    'AFT' => 1,
                    'AOT' => 2,
                    'BOCO' => 3,
                    'BOCR' => 5,
                    'BRM' => 6,
                    'BT' => 7,
                    'CMT' => 8,
                    'ECDIS' => 9,
                    'ERM' => 10,
                    'FRB' => 11,
                    'GOC'=>4,
                    'HBT' => 12,
                    'PETROLE' => 13,
                    'PETROLE AVANCÉ' => 14,
                    'PSC' => 15,
                    'RADAR' => 16,
                    'ROC' => 17,
                    'SDSD' => 18,
                    'SMU' => 19,
                    'SRB' => 20,
                    'SSA' => 21,
                    'SSO' => 22,
                    'ST' => 23,
                    'ADR' => 24,
                    'AFC' => 25,
                    'GRP' => 26,
                    'DPLP' => 27,
                    'FCMI' =>28,
                    'AFBRM' =>29,
                    'AFR' =>30,
                    'IATA' =>31,
                    'IMGD' =>32,
                    'PFSO'=> 33,
                    'PPEP'=> 34,
                    'AFRAFT' =>35,
                    'AFRBST' =>36,
                    'AFRCMT' =>37,
                    'AFRSRB' =>38,
                ),
            ))*/
            ->add('formation', EntityType::class, array(
                'class' => 'AppBundle:Typeformation',
                'query_builder' => function (TypeformationRepository $er) {
                    return $er->createQueryBuilder('u')
                        ->orderBy('u.id', 'ASC');
                },
                'choice_label' => 'nom'))
            ->add('Stagiaire', EntityType::class, array(
                'class' => 'AppBundle:User',
                'query_builder' => function (UserRepository $er) {
                    return $er->createQueryBuilder('u')
                        ->where('u.isDeleted=1')
                        ->andWhere('u.roles LIKE :role')
                        ->orderBy('u.nom', 'ASC')
                        ->setParameter('role','%"ROLE_ETUDIANT"%');
                },
                'choice_label' => 'nom'))
            ->add('Filiere', EntityType::class, array(
                'class' => 'AppBundle:Filiere',
                'query_builder' => function (FiliereRepository $er) {
                    return $er->createQueryBuilder('u')
                        ->where('u.isDeleted=1')
                        ->orderBy('u.nom', 'ASC');
                },
                'choice_label' => 'nom'))
            ->add('SousFiliere', EntityType::class, array(
                'class' => 'AppBundle:SousFiliere',
                'query_builder' => function (SousFiliereRepository $er) {
                    return $er->createQueryBuilder('u')
                        ->where('u.isDeleted=1')
                        ->orderBy('u.nom', 'ASC');
                },
                'choice_label' => 'nom'))
            ->add('Formation', EntityType::class, array(
                'class' => 'AppBundle:Formation',
                'query_builder' => function (FormationRepository $er) {
                    return $er->createQueryBuilder('u')
                        ->where('u.isDeleted=1')
                        ->orderBy('u.nom', 'ASC');
                },
                'choice_label' => 'nom'))
            ->getForm();
        $form->handleRequest($request);
		$diplome=new Diplome();

        if($request->getMethod()=='POST'){
                $data=$form->getData();
				
				$diplomess = $em->getRepository('AppBundle:Diplome')->findBy(
					array(  'typed'=>$data['formation']->getId(), 
							'famille'=>$data['Filiere']->getId(), 
							'theme'=>$data['SousFiliere']->getId(), 
							'action'=>$data['Formation']->getId(), 
							'stagiaire'=>$data['Stagiaire']->getId()
						 ),
					array('id' => 'DESC')
				);
				$ref=1;
				if(!isset($diplomess[0])){
					$diplomes = $em->getRepository('AppBundle:Diplome')->findBy(array('typed'=>$data['formation']->getId()), array('id' => 'DESC'));
					
					if(isset($diplomes[0])){
						$dateee=date_create($diplomes[0]->getDatee());
						if(date_format($dateee, 'Y')==date("Y")){
							$ref = $diplomes[0]->getRef() + 1;
						}else{
						}
					}else{
						$ref = 1;
					}
					//dump($ref);die();
					$diplome->setTyped($data['formation']->getId());
					$diplome->setFamille($data['Filiere']->getId());
					$diplome->setTheme($data['SousFiliere']->getId());
					$diplome->setAction($data['Formation']->getId());
					$diplome->setStagiaire($data['Stagiaire']->getId());
					$diplome->setRef($ref);
					$em->persist($diplome);
					$datei=DATE("d-m-Y");
				}else{
					$ref=$diplomess[0]->getRef();
					$myDateTime = date_create($diplomess[0]->getDatee());
					//dump($myDateTime); die();
					$datei=DATE_FORMAT($myDateTime, "d-m-Y");
				}
				//dump($ref); die();
				$em->flush(); 
			   
               $val=0;
			   
               if($data['formation']->getId()==1) {
                   $template = 'AFT.html.twig';
                   $filename = sprintf('AFT -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==2){
                   $template = 'AOT.html.twig';
                   $filename = sprintf('AOT -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==3){
                   $template = 'BOCO.html.twig';
                   $filename = sprintf('BOCO -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==5){
                   $template = 'BOCR.html.twig';
                   $filename = sprintf('BOCR -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==7){
                   $template = 'BT.html.twig';
                   $filename = sprintf('BT -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==8){
                   $template = 'CMT.html.twig';
                   $filename = sprintf('CMT -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==11){
                   $template = 'FRB.html.twig';
                   $filename = sprintf('FRB -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==4){
                   $template = 'GOC.html.twig';
                   $filename = sprintf('GOC -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==12){
                   $template = 'HBT.html.twig';
                   $filename = sprintf('HBT -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==15){
                   $template = 'PSC.html.twig';
                   $filename = sprintf('PSC -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==16){
                   $template = 'RADAR.html.twig';
                   $filename = sprintf('RADAR -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==17){
                   $template = 'ROC.html.twig';
                   $filename = sprintf('ROC -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==18){
                   $template = 'SDSD.html.twig';
                   $filename = sprintf('SDSD -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==19){
                   $template = 'SMU.html.twig';
                   $filename = sprintf('SMU -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==20){
                   $template = 'SRB.html.twig';
                   $filename = sprintf('SRB -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==21){
                   $val=1;
                   $template = 'SSA.html.twig';
                   $filename = sprintf('SSA -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==22){
                   $template = 'SSO.html.twig';
                   $filename = sprintf('SSO -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==23){
                   $template = 'ST.html.twig';
                   $filename = sprintf('ST -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==6){
                   $template = 'BRM.html.twig';
                   $filename = sprintf('BRM -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==9){
                   $template = 'ECDIS.html.twig';
                   $filename = sprintf('ECDIS -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==10){
                   $template = 'ERM.html.twig';
                   $filename = sprintf('ERM -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==13){
                   $template = 'PETROLE.html.twig';
                   $filename = sprintf('PETROLE -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==14){
                   $template = 'PETROLEA.html.twig';
                   $filename = sprintf('PETROLEA -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==24){
                   $val=1;
                   $template = 'ADR.html.twig';
                   $filename = sprintf('ADR -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==25){
                   $val=1;
                   $template = 'AFC.html.twig';
                   $filename = sprintf('AFC -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==26){
                   $val=1;
                   $template = 'GRP.html.twig';
                   $filename = sprintf('GRP -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==27){
                   $val=1;
                   $template = 'DPLP.html.twig';
                   $filename = sprintf('DPLP -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==28){
                   $val=1;
                   $template = 'FCMI.html.twig';
                   $filename = sprintf('FCMI -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==29){
                   $val=1;
                   $template = 'AFBRM.html.twig';
                   $filename = sprintf('AFBRM -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==30){
                   $val=1;
                   $template = 'AFR.html.twig';
                   $filename = sprintf('AFR -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==31){
                   $val=1;
                   $template = 'IATA.html.twig';
                   $filename = sprintf('IATA -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==32){
                   $val=1;
                   $template = 'IMDG.html.twig';
                   $filename = sprintf('IMDG -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==33){
                   $val=1;
                   $template = 'PFSO.html.twig';
                   $filename = sprintf('PFSO -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==34){
                   $val=1;
                   $template = 'PPEP.html.twig';
                   $filename = sprintf('PPEP -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==35){
                   $val=1;
                   $template = 'AFRAFT.html.twig';
                   $filename = sprintf('AFRAFT -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==36){
                   $val=1;
                   $template = 'AFRBST.html.twig';
                   $filename = sprintf('AFRBST -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==37){
                   $val=1;
                   $template = 'AFRCMT.html.twig';
                   $filename = sprintf('AFRCMT -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==38){
                   $val=1;
                   $template = 'AFRSRB.html.twig';
                   $filename = sprintf('AFRSRB -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==39){
                   $val=1;
                   $template = 'FSU.html.twig';
                   $filename = sprintf('FSU -%s.pdf', $data['Stagiaire']->getId());
               }elseif($data['formation']->getId()==40){
                   $template = 'HV.html.twig';
                   $filename = sprintf('HV -%s.pdf', $data['Stagiaire']->getId());
               }
			   
			   
			   $formationnp = $em->getRepository('AppBundle:Formation')->find($data['Formation']->getId());
			   $dated=DATE_FORMAT($formationnp->getDateD(), "d-m-Y");
			   $datef=DATE_FORMAT($formationnp->getDateF(), "d-m-Y");
			   
			   
               $html = $this->renderView($template,array('user'=>$data['Stagiaire'], "ref"=>$ref, "dated"=>$dated, "datef"=>$datef, "datei"=>$datei));
               if($val==0){
                   return new Response(
                       $this->get('knp_snappy.pdf')->getOutputFromHtml($html, array(
							'orientation' => 'Landscape',
							'page-size' => 'A4',
							'viewport-size' => '1280x1024',
                       ))
                       ,
                       200,
                       [
                           'Content-Type'        => 'application/pdf',
                           'Content-Disposition' => sprintf('inline; filename="%s"', $filename),
                       ]
                   );
               }else{
                   return new Response(
                       $this->get('knp_snappy.pdf')->getOutputFromHtml($html, array(
							'page-size' => 'A4'
						))
                       ,
                       200,
                       [
                           'Content-Type'        => 'application/pdf',
                           'Content-Disposition' => sprintf('inline; filename="%s"', $filename),
                       ]
                   );
               }

        }
        return $this->render("@AppBundle/Resources/views/attestation/list.html.twig",array('form' =>$form->createView()));

    }

    public function getThemeAction(Request $request,$id){
        $em = $this->getDoctrine()->getManager();
        $filieres = $em->getRepository('AppBundle:Filiere')->find($id);
        $sousF = $em->getRepository('AppBundle:SousFiliere')->findBy(array('isDeleted'=>1));
        $res=array();
		//$sousousf = $em->getRepository('AppBundle:SousFiliere')->findBy(array('filiere_id'=>$fil,'isDeleted'=>1));
		foreach($sousF as $sousf){
			$fil=$sousf->getSousFilereFiliere();
			foreach($fil as $fi){
				if($fi==$filieres){
					$sousousf = $em->getRepository('AppBundle:SousFiliere')->findBy(array('id'=>$sousf,'isDeleted'=>1));
					foreach($sousousf as $mat){
						$res[]=['id'=>$mat->getId(),'nom'=>$mat->getNom()];
				}
				}
			}
			
			/*$fil=$sousf->getSousFilereFiliere();
			$sousousf = $em->getRepository('AppBundle:SousFiliere')->findBy(array('id'=>$fil,'isDeleted'=>1));
			foreach($sousousf as $mat){
				$res[]=['id'=>$mat->getId(),'nom'=>$mat->getNom()];
			}*/
		}
		/*
        if(sizeof($sousfiliere)!=0){
            foreach($sousfiliere as $mat){
                $res[]=['id'=>$mat->getId(),'nom'=>$mat->getNom()];
            }
        }else{
            $res[]=['id'=>0,'nom'=>'aucune matière'];
        }*/

        return new JsonResponse($res);
    }

    public function getFamilleAction(Request $request,$id){
        $em = $this->getDoctrine()->getManager();
        $sousfilere = $em->getRepository('AppBundle:SousFiliere')->find($id);
        $formations = $em->getRepository('AppBundle:Formation')->findBy(array(
            'sfiliere' => $sousfilere,
            'isDeleted'=>1
        ));
        $res=array();
        if(sizeof($formations)!=0){
            foreach($formations as $mat){
                $res[]=['id'=>$mat->getId(),'nom'=>$mat->getNom()];
            }
        }else{
            $res[]=['id'=>0,'nom'=>'aucune Action'];
        }

        return new JsonResponse($res);
    }

    public function getStagiaireAction(Request $request,$id){
        $em = $this->getDoctrine()->getManager();
        $formation = $em->getRepository('AppBundle:Formation')->find($id);
        $users=$formation->getStagiaire();
        $res=array();
        if(sizeof($users)!=0){
            foreach($users as $mat){
                $res[]=['id'=>$mat->getId(),'nom'=>$mat->getNom().' '.$mat->getPrenom()];
            }
        }else{
            $res[]=['id'=>0,'nom'=>'aucun stagiaire'];
        }

        return new JsonResponse($res);
    }

    public function ajoutAction(Request $request)
    {
        $em = $this->get('doctrine.orm.entity_manager');
        $actualite=new Actualite();
        $form = $this->createForm(ActualiteForm::class, $actualite);
        $form->handleRequest($request);
        if($request->getMethod()=='POST'){
            if($form->isValid()){
                $actualite->setIsDeleted(1);
                $em->persist($actualite);
                $em->flush();
                return $this->redirectToRoute('mfmm_crm_actualites');
            }
        }
        return $this->render("@AppBundle/Resources/views/actualite/ajout.html.twig",array('form' =>$form->createView()));
    }

    public function modifierAction(Request $request,$id)
    {
        $em = $this->get('doctrine.orm.entity_manager');
        $actualite = $em->getRepository('AppBundle:Actualite')->find($id);
        $form = $this->createForm(ActualiteForm::class, $actualite);
        $form->handleRequest($request);
        if($request->getMethod()=='POST'){
            if($form->isValid()){
                $em->persist($actualite);
                $em->flush();
                return $this->redirectToRoute('mfmm_crm_actualites');
            }
        }
        return $this->render("@AppBundle/Resources/views/actualite/ajout.html.twig",array('form' =>$form->createView()));
    }

    public function supprimerAction(Request $request,$id)
    {
        $em = $this->get('doctrine.orm.entity_manager');
        $actualite = $em->getRepository('AppBundle:Actualite')->find($id);
        $actualite->setIsDeleted(0);
        $em->persist($actualite);
        $em->flush();
        return $this->redirectToRoute('mfmm_crm_actualites');
    }

    }
